
public class Card {

	
	public enum Suits {Clubs, Diamonds, Hearts, Spades};
	public enum Values {Two, Three, Four, Five, Six, Seven, Eight, Nine, Ten, Jack, Queen, King, Ace};
	
	
	/***********************************************/
	
	private Suits suit;
	private Values value;
	
	/***********************************************/
	
	public Card(Suits suit, Values value) {
		this.suit = suit;
		this.value = value;
	}

	public Suits getSuit() {
		return suit;
	}

	public Values getValue() {
		return value;
	}

	
	public String getValueAsString() {
		String s;
		
		switch (this.value) {
		case Two:
			s = "2";
			break;
		case Three:
			s = "3";
			break;
		case Four:
			s = "4";
			break;
		case Five:
			s = "5";
			break;
		case Six:
			s = "6";
			break;
		case Seven:
			s = "7";
			break;
		case Eight:
			s = "8";
			break;
		case Nine:
			s = "9";
			break;
		case Ten:
			s = "10";
			break;
		default:
			s = "" + this.value;
			break;
		}
		
		return s;
	}
	
	@Override
	public String toString() {
		return getValueAsString() + " of " + this.suit ;
	}
	
	
	
	
}
